Bug 225743 - mail/py-afew: update to 1.3.0
Summary: mail/py-afew: update to 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D14296
Keywords:
Depends on: 225742
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-07 21:28 UTC by Sebastian Schwarz
Modified: 2018-04-03 22:14 UTC (History)
1 user (show)

See Also:


Attachments
mail/py-afew-1.3.0.patch (2.29 KB, patch)
2018-02-07 21:28 UTC, Sebastian Schwarz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Schwarz 2018-02-07 21:28:45 UTC
Created attachment 190406 [details]
mail/py-afew-1.3.0.patch

See https://github.com/afewmail/afew/releases/tag/1.3.0 for
the release notes. Most importantly mail/py-dkimpy is a new
dependency while devel/py-subprocess32 is no longer needed.

Furthermore the format of the installed documentation was
changed from manual pages to HTML. While a manpage is usually
preferable the one generated by Sphinx doesn't fit the manpage
format at all and isn't very readable. HTML is a much better
fit for afew's documentation. Hence the MANPAGES option was
renamed to DOCS.
Comment 1 Sebastian Schwarz 2018-02-07 21:33:08 UTC
For this port to work with Python 3 the dependency mail/py-dkimpy has to be updated (see bug #225742).
Comment 2 Yuri Victorovich freebsd_committer 2018-02-10 09:23:16 UTC
Sebastian,

Why did you remove this .if clause?
> .if ${PYTHON_REL} < 3000
> RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}subprocess32>=0:devel/py-subprocess32
> .endif

Yuri
Comment 3 Sebastian Schwarz 2018-02-10 11:42:09 UTC
Because the dependency on subprocess32 was removed by upstream in the new release:

- https://github.com/afewmail/afew/issues/64
- https://github.com/afewmail/afew/pull/164
Comment 4 Yuri Victorovich freebsd_committer 2018-02-10 11:54:51 UTC
(In reply to Sebastian Schwarz from comment #3)

But it is still referenced in the code:
> $ grep -r subprocess work-py27/
> work-py27/afew-1.3.0/afew/MailMover.py:from subprocess import check_call, CalledProcessError
Comment 6 Sebastian Schwarz 2018-02-10 12:42:13 UTC
Hm, Python 2's documentation recommends to use subprocess32: https://docs.python.org/2/library/subprocess.html#module-subprocess

Should we patch the port to do that, or assume the single call to subprocess.check_call is safe in that situation?
Comment 7 Yuri Victorovich freebsd_committer 2018-03-08 07:18:36 UTC
Docs fail: https://github.com/afewmail/afew/issues/184
Comment 8 Sebastian Schwarz 2018-03-11 17:25:08 UTC
I created a pull request with the fixes for upstream: https://github.com/afewmail/afew/pull/185

The patch applies cleanly to 1.3.0 as well and can be included in the port.
Comment 9 Yuri Victorovich freebsd_committer 2018-04-03 04:55:57 UTC
Sebastian,

Sorry that I closed the review for this item.
It is in my queue, I hope to get to it this week.
It has proved easier to check and commit port from a patch, rather than to deal with reviews.

Will get to it soon.

Regards,
Yuri
Comment 10 Yuri Victorovich freebsd_committer 2018-04-03 07:17:14 UTC
Committed with some changes.
Thank you for the update!
Comment 11 commit-hook freebsd_committer 2018-04-03 07:17:46 UTC
A commit references this bug:

Author: yuri
Date: Tue Apr  3 07:17:09 UTC 2018
New revision: 466282
URL: https://svnweb.freebsd.org/changeset/ports/466282

Log:
  mail/py-afew: Update 1.2.0 -> 1.3.0

  Port changes:
  * Minor correction in COMMENT
  * Add LICENSE_FILE
  * Update RUN_DEPENDS
  * Add USE_PYTHON=noflavors
  * Add NO_ARCH
  * Add DOCS option
  * Add the patch fixing docs build

  PR:		225743
  Submitted by:	Sebastian Schwarz <seschwar@gmail.com> (maintainer)

Changes:
  head/mail/py-afew/Makefile
  head/mail/py-afew/distinfo
Comment 12 Sebastian Schwarz 2018-04-03 22:14:41 UTC
(In reply to Yuri Victorovich from comment #9)
> It is in my queue, I hope to get to it this week.

No worries.  As I said, I do understand that people lead busy lives. :)

> It has proved easier to check and commit port from a patch, rather than to deal > with reviews.

Ok. I assumed a Phabricator review would be easier when giving feedback.

Thanks for taking care of this.